<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ProductPhotos.aspx.cs" Inherits="ProductPhotos" EnableViewState="false" %>
<%@ OutputCache CacheProfile="None" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Product Photo Gallery</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:DataList ID="DataList1" runat="server" BackColor="White" BorderColor="#999999"
            BorderStyle="None" BorderWidth="1px" CellPadding="3" DataSourceID="SqlDataSource1"
            GridLines="Vertical" RepeatColumns="5" RepeatDirection="Horizontal">
            <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
            <SelectedItemStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
            <ItemTemplate>
                <asp:Image ID="Image1" runat="server" ImageUrl='<%# "Thumbnail.ashx?id=" + Eval("ProductPhotoID") %>' />
            </ItemTemplate>
            <AlternatingItemStyle BackColor="#DCDCDC" />
            <ItemStyle BackColor="#EEEEEE" ForeColor="Black" />
            <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
        </asp:DataList>&nbsp;</div>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:AdventureWorksConnectionString1 %>"
            DeleteCommand="DELETE FROM [ProductPhoto] WHERE [ProductPhotoID] = @ProductPhotoID"
            InsertCommand="INSERT INTO [ProductPhoto] ([ThumbnailPhotoFileName], [LargePhotoFileName], [ModifiedDate]) VALUES (@ThumbnailPhotoFileName, @LargePhotoFileName, @ModifiedDate)"
            ProviderName="<%$ ConnectionStrings:AdventureWorksConnectionString1.ProviderName %>"
            SelectCommand="SELECT TOP 25 ProductPhotoID, LargePhotoFileName, ThumbnailPhotoFileName FROM Production.ProductPhoto ORDER BY ProductPhotoID DESC"
            UpdateCommand="UPDATE [ProductPhoto] SET [ThumbnailPhotoFileName] = @ThumbnailPhotoFileName, [LargePhotoFileName] = @LargePhotoFileName, [ModifiedDate] = @ModifiedDate WHERE [ProductPhotoID] = @ProductPhotoID">
            <DeleteParameters>
                <asp:Parameter Name="ProductPhotoID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="ThumbnailPhotoFileName" Type="String" />
                <asp:Parameter Name="LargePhotoFileName" Type="String" />
                <asp:Parameter Name="ModifiedDate" Type="DateTime" />
                <asp:Parameter Name="ProductPhotoID" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="ThumbnailPhotoFileName" Type="String" />
                <asp:Parameter Name="LargePhotoFileName" Type="String" />
                <asp:Parameter Name="ModifiedDate" Type="DateTime" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:Label ID="lblTime" runat="server"></asp:Label>
    </form>
</body>
</html>
